=== debian/changelog ===
ros-kinetic-puma-motor-driver (0.1.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 20 Jun 2017 18:56:48 -0000

ros-kinetic-puma-motor-driver (0.1.1-0xenial) xenial; urgency=high

  * Package format 2, dependency fix.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 20 Nov 2015 05:00:00 -0000

ros-kinetic-puma-motor-driver (0.1.0-0xenial) xenial; urgency=high

  * First release of CAN/serial ROS driver for Puma.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 20 Nov 2015 05:00:00 -0000
