=== debian/control ===
Source: ros-kinetic-puma-motor-driver
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-puma-motor-msgs, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-sensor-msgs, ros-kinetic-serial
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-puma-motor-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, can-utils, ros-kinetic-diagnostic-updater, ros-kinetic-joy, ros-kinetic-puma-motor-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-serial
Description: A ROS driver for Puma single-channel motor control board.
